package org.wcs.serve.service.pub.intf;

import org.wcs.model.dto.pub.AddConveyTaskReq;
import org.wcs.model.dto.pub.AddEtagTaskReq;
import org.wcs.model.dto.pub.AddStockTaskReq;
import org.wcs.model.vo.pub.PubServeDataResponse;
import org.wcs.model.vo.pub.PubServeResponse;
import org.wcs.model.vo.pub.task.StockTaskDetailVo;

public interface ITaskService {

    PubServeResponse addStockTask(AddStockTaskReq addStockTaskReq); // 添加仓库任务
    PubServeDataResponse<StockTaskDetailVo> queryStockTaskDetail(String taskId); // 查询仓库任务详情
    PubServeResponse cancelStockTask(String taskId); // 取消仓库任务

    PubServeResponse addConveyTask(AddConveyTaskReq addConveyTaskReq); // 添加箱式线任务

    PubServeResponse addEtagTask(AddEtagTaskReq addEtagTaskReq); // 添加电子标签任务
}
